from typing import Protocol

from api.domain.company.model import Company
from api.domain.user.model import User


class CompanyRepository(Protocol):
    async def get_company(self, filter: dict) -> User | None:
        raise NotImplementedError

    async def create_company(self, company: Company) -> None:
        raise NotImplementedError

    async def get_workes_list(self) -> list[User] | None:
        raise NotImplementedError
